#ifndef __INTL_H__
#define __INTL_H__

#ifdef ENABLE_NLS
#  include <libintl.h>
#  include <locale.h>
#  define _(String) dgettext(PACKAGE,String)
#  ifdef ngettext
#    define _n(msgid1, msgid2, n) ngettext(msgid1, msgid2, n)
#  else
#    define _n(msgid1, msgid2, n) ((n==1) ? msgid1 : msgid2)
#  endif /* gettext_noop */
#  ifdef gettext_noop
#    define N_(String) gettext_noop(String)
#  else
#    define N_(String) (String)
#  endif /* gettext_noop */
#else
#  define _(String) (String)
#  define _n(msgid1, msgid2, n) ((n==1) ? msgid1 : msgid2)
#  define N_(String) (String)
#  define textdomain(String) (String)
#  define gettext(String) (String)
#  define dgettext(Domain,String) (String)
#  define dcgettext(Domain,String,Type) (String)
#  define bindtextdomain(Domain,Directory) (Domain) 
#  define bind_textdomain_codeset(Domain,Codeset) (Domain) 
#endif /* ENABLE_NLS */

#endif /* __INTL_H__ */
